MySQL++: sql_buffer.h File Reference

MySQL++ 3.3.0

Classes | Typedefs
sql_buffer.h File Reference

Declares the SQLBuffer class. More...

`#include "refcounted.h"`
`#include "type_info.h"`
`#include <string>`

Go to the source code of this file.

## Classes
class | mysqlpp::SQLBuffer
| Holds SQL data in string form plus type information for use in converting the string to compatible C++ data types. More...

## Typedefs
typedef RefCountedPointer< SQLBuffer > | mysqlpp::RefCountedBuffer
| Reference-counted version of SQLBuffer. More...

## Detailed Description

Declares the SQLBuffer class.

## Typedef Documentation

## ◆ RefCountedBuffer

typedef RefCountedPointer<SQLBuffer> mysqlpp::RefCountedBuffer

Reference-counted version of SQLBuffer.

No one uses SQLBuffer directly. It exists only for use in a RefCountedPointer wrapper.